nl.topicus.jdbc

## Class CloudSpannerConnection

- java.lang.Object
- - nl.topicus.jdbc.AbstractCloudSpannerConnection
  - - nl.topicus.jdbc.CloudSpannerConnection

All Implemented Interfaces:
  AutoCloseable, Connection, Wrapper

    public class CloudSpannerConnection
    extends AbstractCloudSpannerConnection

JDBC Driver for Google Cloud Spanner.

Author:
  loite

### Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`void` `commit()`
`Statement` `createStatement()`
`Statement` `createStatement(int resultSetType, int resultSetConcurrency)`
`Statement` `createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`Void` `executeDDL(String sql)`
`boolean` `getAutoCommit()`
`static com.google.auth.oauth2.GoogleCredentials` `getCredentialsFromFile(String credentialsPath)`
`DatabaseMetaData` `getMetaData()`
`int` `getTransactionIsolation()`
`String` `getUrl()`
`boolean` `isClosed()`
`boolean` `isReadOnly()`
`String` `nativeSQL(String sql)`
`CallableStatement` `prepareCall(String sql)`
`PreparedStatement` `prepareStatement(String sql)`
`PreparedStatement` `prepareStatement(String sql, int autoGeneratedKeys)`
`PreparedStatement` `prepareStatement(String sql, int[] columnIndexes)`
`PreparedStatement` `prepareStatement(String sql, int resultSetType, int resultSetConcurrency)`
`PreparedStatement` `prepareStatement(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`PreparedStatement` `prepareStatement(String sql, String[] columnNames)`
`void` `rollback()`
`void` `setAutoCommit(boolean autoCommit)`
`void` `setReadOnly(boolean readOnly)`
`void` `setSimulateProductName(String productName)`
`void` `setTransactionIsolation(int level)`
`protected void` `startNewTransaction()`

### Methods inherited from class nl.topicus.jdbc.AbstractCloudSpannerConnection

`abort, clearWarnings, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStruct, getCatalog, getClientInfo, getClientInfo, getHoldability, getNetworkTimeout, getSchema, getTypeMap, getWarnings, isValid, isWrapperFor, prepareCall, prepareCall, releaseSavepoint, rollback, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setSavepoint, setSavepoint, setSchema, setTypeMap, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCredentialsFromFile

    public static com.google.auth.oauth2.GoogleCredentials getCredentialsFromFile(String credentialsPath)
                                                                           throws IOException

Throws:
  `IOException`

#### setSimulateProductName

    public void setSimulateProductName(String productName)

#### executeDDL

    public Void executeDDL(String sql)
                    throws SQLException

Throws:
  `SQLException`

#### createStatement

    public Statement createStatement()
                              throws SQLException

Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql)
                                       throws SQLException

Throws:
  `SQLException`

#### prepareCall

    public CallableStatement prepareCall(String sql)
                                  throws SQLException

Throws:
  `SQLException`

#### nativeSQL

    public String nativeSQL(String sql)
                     throws SQLException

Throws:
  `SQLException`

#### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws SQLException

Throws:
  `SQLException`

#### getAutoCommit

    public boolean getAutoCommit()
                          throws SQLException

Throws:
  `SQLException`

#### commit

    public void commit()
                throws SQLException

Throws:
  `SQLException`

#### rollback

    public void rollback()
                  throws SQLException

Throws:
  `SQLException`

#### startNewTransaction

    protected void startNewTransaction()

#### close

    public void close()
               throws SQLException

Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Throws:
  `SQLException`

#### getMetaData

    public DatabaseMetaData getMetaData()
                                 throws SQLException

Throws:
  `SQLException`

#### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws SQLException

Throws:
  `SQLException`

#### isReadOnly

    public boolean isReadOnly()
                       throws SQLException

Throws:
  `SQLException`

#### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws SQLException

Throws:
  `SQLException`

#### getTransactionIsolation

    public int getTransactionIsolation()
                                throws SQLException

Throws:
  `SQLException`

#### createStatement

    public Statement createStatement(int resultSetType,
                                     int resultSetConcurrency)
                              throws SQLException

Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int resultSetType,
                                              int resultSetConcurrency)
                                       throws SQLException

Throws:
  `SQLException`

#### createStatement

    public Statement createStatement(int resultSetType,
                                     int resultSetConcurrency,
                                     int resultSetHoldability)
                              throws SQLException

Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int resultSetType,
                                              int resultSetConcurrency,
                                              int resultSetHoldability)
                                       throws SQLException

Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int autoGeneratedKeys)
                                       throws SQLException

Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int[] columnIndexes)
                                       throws SQLException

Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              String[] columnNames)
                                       throws SQLException

Throws:
  `SQLException`

#### getUrl

    public String getUrl()